Apache Tomcat 6.0.51

## org.apache.jk.common
Class ChannelNioSocket.SocketInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.jk.common.ChannelNioSocket.SocketInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  ChannelNioSocket

    protected class ChannelNioSocket.SocketInputStream

extends java.io.InputStream

Method Summary
`int` | `available()`
`void` | `mark(int readlimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] data)`
`int` | `read(byte[] data, int offset, int len)`
`void` | `reset()`

Methods inherited from class java.io.InputStream
`close, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### available

    public int available()

  Overrides:
    `available` in class `java.io.InputStream`

### mark

    public void mark(int readlimit)

  Overrides:
    `mark` in class `java.io.InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`

### reset

    public void reset()

  Overrides:
    `reset` in class `java.io.InputStream`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] data)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] data,
                    int offset,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.